local createCompositionBabochka_moving_to_flower = nil
local createCompositionnew_frog_move_est_babochku = nil
local createCompositionnew_frog_move_uge_sela_babochku_idle = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/06_garden/hp/anim/butterfly/"
---------------------------------------------------------------------------------------
function Loader_06_HP_Butterfly_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
    			CreateCompositionLoader(createCompositionnew_frog_move_est_babochku,		                'action',		    0,0, 41, 512,384, false),
    			CreateCompositionLoader(createCompositionnew_frog_move_uge_sela_babochku_idle,		        'idle',		        0,0, 41, 512,384, true),
		},
		{
			function (element, textureName)
				if textureName == "Babochka_moving_to_flower_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(4)
					anim:SetTextureRect(0,0,62,45)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
				if textureName == "splash_from_frog.png" then
					local anim = element:GetTexture()
					anim:SetFrames(17)
					anim:SetTextureRect(0,0,73,44)
					anim:SetSpeed(30)
					anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
					anim:Play()
				end
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionBabochka_moving_to_flower = function()
	local compositionBabochka_moving_to_flower = CreateCompositionSequence()
	local compositionDuration = 1
	compositionBabochka_moving_to_flower:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Babochka_moving_to_flower_[].png")
	element:SetName("Layer_1")
	compositionBabochka_moving_to_flower:AddElement(element)
	element:SetHotSpot(31, 22.5)
	element:SetParentElement(compositionBabochka_moving_to_flower)
	element:SetXY(903.875, 414.375)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
	compositionBabochka_moving_to_flower:Play()
 
	return compositionBabochka_moving_to_flower
end
 
createCompositionnew_frog_move_est_babochku = function()
	local compositionnew_frog_move_est_babochku = CreateCompositionSequence()
	local compositionDuration = 6
	compositionnew_frog_move_est_babochku:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."nakladrf_dlya_yazuka.png")
	element:SetName("Layer_1")
	compositionnew_frog_move_est_babochku:AddElement(element)
	element:SetHotSpot(14, 11)
	compositionnew_frog_move_est_babochku:RegisterParentInfo("Layer_1", "Layer_14")
	element:SetXY(6.67946858638811, 14.5912082108295)
 
	element:SetScaleX(0.90738774439102)
	element:SetScaleY(0.79760726262253)
	element:SetAngle(0.84034237576619)
 
	effector = element:GetEffector()
	effector:SetLifeTime(4.79166666666667, 6)
	effector:SetKey(_TRACK_O, 5.25, 1)
	effector:SetKey(_TRACK_O, 5.32869466145833, 0)
	effector:SetKey(_TRACK_O, 5.40738932291667, 0)
	effector:SetKey(_TRACK_O, 5.48612467447917, 1)
	effector:SetKey(_TRACK_O, 5.5648193359375, 1)
	effector:SetKey(_TRACK_O, 5.64351399739583, 0)
	effector:SetKey(_TRACK_O, 5.72220865885417, 0)
	effector:SetKey(_TRACK_O, 5.80094401041667, 1)
	effector:SetKey(_TRACK_O, 5.879638671875, 1)
	effector:SetKey(_TRACK_O, 5.95833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = createCompositionBabochka_moving_to_flower()
	element:SetName("Layer_2")
	compositionnew_frog_move_est_babochku:AddElement(element)
	element:SetHotSpot(913, 422)
	element:SetParentElement(compositionnew_frog_move_est_babochku)
 
	effector = element:GetEffector()
	effector:SetLifeTime(4, 5)
	effector:SetKey(_TRACK_X, 4, 993)
	effector:SetKey(_TRACK_Y, 4, 348.5)
	effector:SetKey(_TRACK_X, 4.95833333333333, 836.6752200933)
	effector:SetKey(_TRACK_Y, 4.95833333333333, 320.303150833311)
	effector:SetKey(_TRACK_SX, 4, 0.6)
	effector:SetKey(_TRACK_SY, 4, 0.6)
	effector:SetKey(_TRACK_SX, 4.95833333333333, 0.6)
	effector:SetKey(_TRACK_SY, 4.95833333333333, 0.6)
	effector:SetKey(_TRACK_A, 4, 4.90368388480949)
	effector:SetKey(_TRACK_A, 4.375, 6.42986286232947)
	effector:SetKey(_TRACK_A, 4.66666666666667, 7.24090595013398)
	effector:SetKey(_TRACK_A, 4.95833333333333, 7.43899780533225)
	effector:Play()
 
 
	-- Layer Layer_3
	element = createCompositionBabochka_moving_to_flower()
	element:SetName("Layer_3")
	compositionnew_frog_move_est_babochku:AddElement(element)
	element:SetHotSpot(913, 422)
	element:SetParentElement(compositionnew_frog_move_est_babochku)
	element:SetScaleX(0.6)
	element:SetScaleY(0.6)
 
	effector = element:GetEffector()
	effector:SetLifeTime(3, 4)
	effector:SetKey(_TRACK_X, 3, 861)
	effector:SetKey(_TRACK_Y, 3, 272.5)
	effector:SetKey(_TRACK_X, 4, 993)
	effector:SetKey(_TRACK_Y, 4, 348.5)
	effector:SetKey(_TRACK_A, 3, 3.21170992227755)
	effector:SetKey(_TRACK_A, 3.58333333333333, 4.15687860869565)
	effector:SetKey(_TRACK_A, 4, 4.90368388480949)
	effector:Play()
 
 
	-- Layer Layer_4
	element = createCompositionBabochka_moving_to_flower()
	element:SetName("Layer_4")
	compositionnew_frog_move_est_babochku:AddElement(element)
	element:SetHotSpot(913, 422)
	element:SetParentElement(compositionnew_frog_move_est_babochku)
	element:SetScaleX(0.6)
	element:SetScaleY(0.6)
 
	effector = element:GetEffector()
	effector:SetLifeTime(2, 3)
	effector:SetKey(_TRACK_X, 2, 826)
	effector:SetKey(_TRACK_Y, 2, 467)
	effector:SetKey(_TRACK_X, 2.20833333333333, 799.5)
	effector:SetKey(_TRACK_Y, 2.20833333333333, 426.5)
	effector:SetKey(_TRACK_X, 3, 861)
	effector:SetKey(_TRACK_Y, 3, 272.5)
	effector:SetKey(_TRACK_A, 2, 0)
	effector:SetKey(_TRACK_A, 2.20833333333333, 1.1688859302271)
	effector:SetKey(_TRACK_A, 2.5, 1.79408948882474)
	effector:SetKey(_TRACK_A, 2.79166666666667, 2.63526388232876)
	effector:SetKey(_TRACK_A, 3, 3.21170992227755)
	effector:Play()
 
 
	-- Layer Layer_5
	element = createCompositionBabochka_moving_to_flower()
	element:SetName("Layer_5")
	compositionnew_frog_move_est_babochku:AddElement(element)
	element:SetHotSpot(913, 422)
	element:SetParentElement(compositionnew_frog_move_est_babochku)
	element:SetScaleX(0.6)
	element:SetScaleY(0.6)
 
	effector = element:GetEffector()
	effector:SetLifeTime(1, 2)
	effector:SetKey(_TRACK_X, 1, 826)
	effector:SetKey(_TRACK_Y, 1, 467)
	effector:SetKey(_TRACK_X, 2, 826)
	effector:SetKey(_TRACK_Y, 2, 467)
	effector:Play()
 
 
	-- Layer Layer_6
	element = createCompositionBabochka_moving_to_flower()
	element:SetName("Layer_6")
	compositionnew_frog_move_est_babochku:AddElement(element)
	element:SetHotSpot(913, 422)
	element:SetParentElement(compositionnew_frog_move_est_babochku)
	element:SetScaleX(0.6)
	element:SetScaleY(0.6)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:SetKey(_TRACK_X, 0, 1052.5)
	effector:SetKey(_TRACK_Y, 0, 333.5)
	effector:SetKey(_TRACK_X, 0.79166666666667, 826)
	effector:SetKey(_TRACK_Y, 0.79166666666667, 467)
	effector:SetKey(_TRACK_X, 0.83333333333333, 824)
	effector:SetKey(_TRACK_Y, 0.83333333333333, 468.5)
	effector:SetKey(_TRACK_X, 1, 826)
	effector:SetKey(_TRACK_Y, 1, 467)
	effector:Play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."yazuk.png")
	element:SetName("Layer_8")
	compositionnew_frog_move_est_babochku:AddElement(element)
	element:SetHotSpot(39.5, 15)
	compositionnew_frog_move_est_babochku:RegisterParentInfo("Layer_8", "Layer_14")
	element:SetXY(4.80265017185451, 10.7752298689225)
 
	element:SetAngle(0.90278249957943)
 
	effector = element:GetEffector()
	effector:SetLifeTime(4.91666666666667, 5.29166666666667)
	effector:SetKey(_TRACK_SX, 4.91666666666667, 0)
	effector:SetKey(_TRACK_SY, 4.91666666666667, 0)
	effector:SetKey(_TRACK_SX, 5, 1)
	effector:SetKey(_TRACK_SY, 5, 1)
	effector:SetKey(_TRACK_SX, 5.08333333333333, 1)
	effector:SetKey(_TRACK_SY, 5.08333333333333, 1)
	effector:SetKey(_TRACK_SX, 5.29166666666667, 0)
	effector:SetKey(_TRACK_SY, 5.29166666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_9
	element = CreateCompositionElement(PREFIX_PATH.."wrog_move_cycle_mask_list.png")
	element:SetName("Layer_9")
	compositionnew_frog_move_est_babochku:AddElement(element)
	element:SetHotSpot(11.5, 20)
	element:SetParentElement(compositionnew_frog_move_est_babochku)
	element:SetXY(945.5, 506.125)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.41666666666667, 6)
	effector:Play()
 
 
	-- Layer Layer_10
	element = CreateCompositionElement(PREFIX_PATH.."wrog_move_cycle_mask_water.png")
	element:SetName("Layer_10")
	compositionnew_frog_move_est_babochku:AddElement(element)
	element:SetHotSpot(41, 27.5)
	element:SetParentElement(compositionnew_frog_move_est_babochku)
	element:SetXY(945.875, 486.25)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.41666666666667, 6)
	effector:Play()
 
 
	-- Layer Layer_11
	element = CreateCompositionElement(PREFIX_PATH.."splash_from_frog.png")
	element:SetName("Layer_11")
	compositionnew_frog_move_est_babochku:AddElement(element)
	element:SetHotSpot(36.5, 22)
	element:SetParentElement(compositionnew_frog_move_est_babochku)
	element:SetXY(963.5, 476.5)
 
	element:SetScaleX(0.97882039400092)
	element:SetScaleY(0.97882039400092)
	element:SetAngle(0.11743468966233)
 
	effector = element:GetEffector()
	effector:SetLifeTime(4.41666666666667, 4.98331705729167)
	effector:SetKey(_TRACK_O, 4.75, 1)
	effector:SetKey(_TRACK_O, 4.95833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_12
	element = CreateCompositionElement(PREFIX_PATH.."DT4_Frog_MMG_06_Frogs_frog_2.png")
	element:SetName("Layer_12")
	compositionnew_frog_move_est_babochku:AddElement(element)
	element:SetHotSpot(46, 33)
	compositionnew_frog_move_est_babochku:RegisterParentInfo("Layer_12", "Layer_14")
	element:SetXY(16.9211073727291, 27.6714072429403)
 
	element:SetScaleX(0.68176989479552)
	element:SetScaleY(0.68176989479552)
	element:SetAngle(0.5769802314039)
 
	effector = element:GetEffector()
	effector:SetLifeTime(5.16666666666667, 6)
	effector:SetKey(_TRACK_O, 5.16666666666667, 0)
	effector:SetKey(_TRACK_O, 5.25, 1)
	effector:Play()
 
 
	-- Layer Layer_13
	element = createCompositionBabochka_moving_to_flower()
	element:SetName("Layer_13")
	compositionnew_frog_move_est_babochku:AddElement(element)
	element:SetHotSpot(913, 422)
	element:SetParentElement(compositionnew_frog_move_est_babochku)
 
	effector = element:GetEffector()
	effector:SetLifeTime(5, 6)
	effector:SetKey(_TRACK_X, 5, 836.675231933594)
	effector:SetKey(_TRACK_Y, 5, 320.303161621094)
	effector:SetKey(_TRACK_X, 5.04166666666667, 823.494384765625)
	effector:SetKey(_TRACK_Y, 5.04166666666667, 328.877624511719)
	effector:SetKey(_TRACK_X, 5.08333333333333, 811.349426269531)
	effector:SetKey(_TRACK_Y, 5.08333333333333, 339.025817871094)
	effector:SetKey(_TRACK_X, 5.125, 806.304382324219)
	effector:SetKey(_TRACK_Y, 5.125, 354.189575195313)
	effector:SetKey(_TRACK_X, 5.16666666666667, 802.487976074219)
	effector:SetKey(_TRACK_Y, 5.16666666666667, 369.362213134766)
	effector:SetKey(_TRACK_X, 5.20833333333333, 799.786499023438)
	effector:SetKey(_TRACK_Y, 5.20833333333333, 384.342407226563)
	effector:SetKey(_TRACK_X, 5.25, 798.226440429688)
	effector:SetKey(_TRACK_Y, 5.25, 399.114166259766)
	effector:SetKey(_TRACK_SX, 5, 0.6)
	effector:SetKey(_TRACK_SY, 5, 0.6)
	effector:SetKey(_TRACK_SX, 5.04166666666667, 0.6)
	effector:SetKey(_TRACK_SY, 5.04166666666667, 0.6)
	effector:SetKey(_TRACK_SX, 5.08333333333333, 0.6)
	effector:SetKey(_TRACK_SY, 5.08333333333333, 0.6)
	effector:SetKey(_TRACK_SX, 5.25, 0.48)
	effector:SetKey(_TRACK_SY, 5.25, 0.48)
	effector:SetKey(_TRACK_A, 5, 7.4389977444059)
	effector:SetKey(_TRACK_A, 5.04166666666667, 7.37954054260895)
	effector:SetKey(_TRACK_A, 5.08333333333333, 7.320083340812)
	effector:SetKey(_TRACK_A, 5.125, 7.26062560638283)
	effector:SetKey(_TRACK_A, 5.16666666666667, 7.20116840458588)
	effector:SetKey(_TRACK_A, 5.20833333333333, 7.14171120278893)
	effector:SetKey(_TRACK_A, 5.25, 3.63708491859943)
	effector:Play()
 
 
	-- Layer Layer_14
	element = CreateCompositionElement(PREFIX_PATH.."telo_frog.png")
	element:SetName("Layer_14")
	compositionnew_frog_move_est_babochku:AddElement(element)
	element:SetHotSpot(19.5, 27.5)
	element:SetParentElement(compositionnew_frog_move_est_babochku)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.41666666666667, 5.25)
	effector:SetKey(_TRACK_X, 4.41666666666667, 963.678405761719)
	effector:SetKey(_TRACK_Y, 4.41666666666667, 454.209442138672)
	effector:SetKey(_TRACK_X, 4.91666666666667, 908.428405761719)
	effector:SetKey(_TRACK_Y, 4.91666666666667, 350.209442138672)
	effector:SetKey(_TRACK_X, 5.25, 826.178405761719)
	effector:SetKey(_TRACK_Y, 5.25, 401.709442138672)
	effector:SetKey(_TRACK_SX, 4.41666666666667, 0.94957984924316)
	effector:SetKey(_TRACK_SY, 4.41666666666667, 0.94957984924316)
	effector:SetKey(_TRACK_SX, 5.125, 0.94957984924316)
	effector:SetKey(_TRACK_SY, 5.125, 0.94957984924316)
	effector:SetKey(_TRACK_A, 4.41666666666667, 0.15195048796226)
	effector:SetKey(_TRACK_A, 4.91666666666667, -0.38450993821842)
	effector:SetKey(_TRACK_A, 5.25, -0.86016861701447)
	effector:SetKey(_TRACK_O, 4.41666666666667, 0)
	effector:SetKey(_TRACK_O, 4.54166666666667, 1)
	effector:SetKey(_TRACK_O, 5.16666666666667, 1)
	effector:SetKey(_TRACK_O, 5.25, 0.8)
	effector:Play()
 
 
	-- Layer Layer_15
	element = CreateCompositionElement(PREFIX_PATH.."frog_midl_leg.png")
	element:SetName("Layer_15")
	compositionnew_frog_move_est_babochku:AddElement(element)
	element:SetHotSpot(19.031341731849, 14.739661959663)
	compositionnew_frog_move_est_babochku:RegisterParentInfo("Layer_15", "Layer_14")
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.41666666666667, 5.25)
	effector:SetKey(_TRACK_X, 4.625, 28.286616232488)
	effector:SetKey(_TRACK_Y, 4.625, 40.1990339940808)
	effector:SetKey(_TRACK_X, 5, 28.286616232488)
	effector:SetKey(_TRACK_Y, 5, 40.1990339940808)
	effector:SetKey(_TRACK_SX, 4.41666666666667, 1)
	effector:SetKey(_TRACK_SY, 4.41666666666667, 1)
	effector:SetKey(_TRACK_SX, 5.125, 0.8)
	effector:SetKey(_TRACK_SY, 5.125, 0.8)
	effector:SetKey(_TRACK_A, 4.41666666666667, -0.07677524489331)
	effector:SetKey(_TRACK_A, 4.625, -0.44736472361916)
	effector:SetKey(_TRACK_A, 5, -0.44736472361916)
	effector:SetKey(_TRACK_A, 5.25, -0.07677524489331)
	effector:SetKey(_TRACK_O, 4.41666666666667, 0)
	effector:SetKey(_TRACK_O, 4.54166666666667, 1)
	effector:SetKey(_TRACK_O, 5.125, 1)
	effector:SetKey(_TRACK_O, 5.25, 0)
	effector:Play()
 
 
	-- Layer Layer_16
	element = CreateCompositionElement(PREFIX_PATH.."frog_down_leg.png")
	element:SetName("Layer_16")
	compositionnew_frog_move_est_babochku:AddElement(element)
	element:SetHotSpot(16.2687724378661, 51.5166691732914)
	compositionnew_frog_move_est_babochku:RegisterParentInfo("Layer_16", "Layer_15")
 
	effector = element:GetEffector()
	effector:SetLifeTime(4.41666666666667, 5.25)
	effector:SetKey(_TRACK_X, 4.625, 11.749990496661)
	effector:SetKey(_TRACK_Y, 4.625, 41.6405574397655)
	effector:SetKey(_TRACK_X, 5, 11.749990496661)
	effector:SetKey(_TRACK_Y, 5, 41.6405574397655)
	effector:SetKey(_TRACK_SX, 4.625, 1)
	effector:SetKey(_TRACK_SY, 4.625, 1)
	effector:SetKey(_TRACK_SX, 5.125, 1)
	effector:SetKey(_TRACK_SY, 5.125, 1)
	effector:SetKey(_TRACK_A, 4.41666666666667, 5.73712594924213)
	effector:SetKey(_TRACK_A, 4.625, 3.68722029456364)
	effector:SetKey(_TRACK_A, 5, 3.68722029456364)
	effector:SetKey(_TRACK_A, 5.25, 5.73712594924213)
	effector:SetKey(_TRACK_O, 4.41666666666667, 0)
	effector:SetKey(_TRACK_O, 4.54166666666667, 1)
	effector:SetKey(_TRACK_O, 5.125, 1)
	effector:SetKey(_TRACK_O, 5.25, 0)
	effector:Play()
 
	compositionnew_frog_move_est_babochku:Play()
 
	return compositionnew_frog_move_est_babochku
end
 
createCompositionnew_frog_move_uge_sela_babochku_idle = function()
	local compositionnew_frog_move_uge_sela_babochku_idle = CreateCompositionSequence()
	local compositionDuration = 1
	compositionnew_frog_move_uge_sela_babochku_idle:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."nakladrf_dlya_yazuka.png")
	element:SetName("Layer_1")
	compositionnew_frog_move_uge_sela_babochku_idle:AddElement(element)
	element:SetHotSpot(14, 11)
	element:SetParentElement(compositionnew_frog_move_uge_sela_babochku_idle)
	element:SetXY(855.373617907624, 354.418328288497)
 
	element:SetScaleX(0.86163711752392)
	element:SetScaleY(0.75739178419636)
	element:SetAngle(0.27746043299925)
	element:SetOpacity(0)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."wrog_move_cycle_mask_list.png")
	element:SetName("Layer_2")
	compositionnew_frog_move_uge_sela_babochku_idle:AddElement(element)
	element:SetHotSpot(11.5, 20)
	element:SetParentElement(compositionnew_frog_move_uge_sela_babochku_idle)
	element:SetXY(945.5, 506.125)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."wrog_move_cycle_mask_water.png")
	element:SetName("Layer_3")
	compositionnew_frog_move_uge_sela_babochku_idle:AddElement(element)
	element:SetHotSpot(41, 27.5)
	element:SetParentElement(compositionnew_frog_move_uge_sela_babochku_idle)
	element:SetXY(945.875, 486.25)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."DT4_Frog_MMG_06_Frogs_frog_2.png")
	element:SetName("Layer_4")
	compositionnew_frog_move_uge_sela_babochku_idle:AddElement(element)
	element:SetHotSpot(46, 33)
	element:SetParentElement(compositionnew_frog_move_uge_sela_babochku_idle)
	element:SetXY(824.704355824702, 403.67173834144)
 
	element:SetScaleX(0.64739495391846)
	element:SetScaleY(0.64739495391846)
	element:SetAngle(-0.28318838561056)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
 
	-- Layer Layer_5
	element = createCompositionBabochka_moving_to_flower()
	element:SetName("Layer_5")
	compositionnew_frog_move_uge_sela_babochku_idle:AddElement(element)
	element:SetHotSpot(913, 422)
	element:SetParentElement(compositionnew_frog_move_uge_sela_babochku_idle)
	element:SetXY(798.226440429688, 399.114166259766)
 
	element:SetScaleX(0.48)
	element:SetScaleY(0.48)
	element:SetAngle(3.63708491859943)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1)
	effector:Play()
 
	compositionnew_frog_move_uge_sela_babochku_idle:Play()
 
	return compositionnew_frog_move_uge_sela_babochku_idle
end
 
